@ECHO OFF
ECHO To ensure that no other program interferes with the BIOS update process,
ECHO it is highly recommended to close all other program before continue.
pause

AFUWIN.EXE MAC.bin /holeout:05ca01fd0fc111dc901100173153eba8
AFUWIN.EXE XS36V000.103 /P /B /N /K
IF ERRORLEVEL 1 GOTO Check
AFUWIN.EXE MAC.bin /hole:05ca01fd0fc111dc901100173153eba8
GOTO Shutdown

:Check
cls
ECHO CAN'T UPDATE BIOS.
pause
GOTO END

:Shutdown
shutdown -f -r -t 00

:END
